package gui.fileselection;

import java.nio.file.Path;
import java.nio.file.Paths;

import javax.swing.JTextField;

public class PathTextField extends JTextField{

	private static final long serialVersionUID = 9198003750478381777L;
	
	
	public void setPath(Path path) {
		setText(path.toString());
	}
	
	public Path getPath() {
		return Paths.get(getText());
	}
}
