package gui.settings.dialog.group;

import gui.layout.percent2.APConstraint;
import gui.layout.percent2.AnchorPercentLayout;
import gui.resource.ResourceManager;
import gui.settings.dialog.component.CheckboxSettingsComponent;


public class CheckboxSettingsGroup extends SettingsComponentGroup{
	private static final long serialVersionUID = 3231457143973807778L;

	public CheckboxSettingsGroup(String border,String text,String settingsName,ResourceManager rm) {
		super(border,rm,false);
		CheckboxSettingsComponent ch=new CheckboxSettingsComponent(settingsName, text);
		setLayout(new AnchorPercentLayout());
		addSettingsComponent(ch, APConstraint.constraint());
	}

	@Override
	protected void createSettingsComponents(ResourceManager rm) {
	}

}
